<app-loader [isLoading]="(loaderService.loaderState | async) ?? false" [isInner]="false"></app-loader>


<input
  type="text"
  class="mb-2 mb-2 border py-2 px-4 w-full"
  placeholder="name"
  [(ngModel)]="name"
/>

<input
  type="text"
  class="mb-2 mb-2 border py-2 px-4 w-full"
  placeholder="price"
  [(ngModel)]="price"
/>
<div *ngIf="products$ | async as products" class='row'>
  <app-product class='col-md-4' *ngFor="let product of  products | filterProducts: name | filterProductsPrice: price" [product]="product"></app-product>
